<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <RootNamespace>FileSplitter.Console</RootNamespace>
    <AssemblyName>FileSplitter</AssemblyName>
    <PackageId>FileSplitter</PackageId>
    <Title>ANB Software File Splitter Console</Title>
    <Version>2023.04.16</Version>
    <Authors>Alexander Babaev</Authors>
    <Product>ANB Software File Splitter</Product>
    <Description>Console App for ANB Software File Splitter. Split and join any file.</Description>
    <Copyright>Alexander Babaev</Copyright>
    <PackageProjectUrl>https://git.babaev-an.ru/babaev-an/FileSplitter</PackageProjectUrl>
    <RepositoryUrl>https://git.babaev-an.ru/babaev-an/FileSplitter.git</RepositoryUrl>
    <NeutralLanguage>ru</NeutralLanguage>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="ANBSoftware.ComponentsPack" Version="2023.409.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\FileSplitterShared\FileSplitterShared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="help\english.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="help\russian.html">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="languages\english.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="languages\russian.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
